* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', system-ui, sans-serif;

}

body {
    min-height: 100vh;
    font-family: Arial, sans-serif;
}


/* ===== LIGHT THEME (default) ===== */


:root {

    --bg-color: #eff2f8cf;
    --text-color: #111111e2;
    --bg2-color: #05050532;

    --box-shadow: 0 10px 25px rgba(0, 0, 0, 0.08);

    --hfa-body: #000000ec;
    --hfa-text: #fffffff4;

    --btn: #0c7bdb;
    --tital: #1bc8df;


    --headr-body: #0d1117;
    --headr-text: #eff2f8cf;

}

body.dark-mode {

    --bg-color: #0d1117;
    --text-color: #f0f6fc;
    --bg2-color: #ffffff5b;


    --box-shadow: 0 10px 25px rgba(84, 84, 84, 0.498);

    --tital: #1bc8df;

    --hfa-body: #000000ec;
    --hfa-text: #fffffff4;


    --headr-body: #111111cf;
    --headr-text: #eff2f8cf;
}

body {
    background-color: var(--bg-color);
    color: var(--text-color);
    transition: background-color 0.3s, color 0.3s;
}





.main-content {
    background-color: var(--bg-color, white);
    color: var(--text-color, rgb(11, 11, 11));
}